gpsdrive crashed with SIGSEGV

Bug #935242 reported by Marcos K on 2012-02-18
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gpsdrive (Ubuntu)
Undecided
Unassigned

Bug Description

While trying to connect to device from gpsd

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: gpsdrive 2.10~pre4-6.dfsg-5ubuntu2
ProcVersionSignature: Ubuntu 3.0.0-16.28-generic 3.0.17
Uname: Linux 3.0.0-16-generic i686
ApportVersion: 1.23-0ubuntu4
Architecture: i386
Date: Sat Feb 18 15:01:21 2012
Disassembly: => 0xf4f410: Cannot access memory at address 0xf4f410
ExecutablePath: /usr/bin/gpsdrive
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012)
ProcCmdline: gpsdrive --help
SegvAnalysis:
 Segfault happened at: 0xf4f410: Cannot access memory at address 0xf4f410
 PC (0x00f4f410) ok
 SP (0xbf8fc32c) ok
 Reason could not be automatically determined.
Signal: 11
SourcePackage: gpsdrive
Stacktrace:
 #0 0x00f4f410 in ?? ()
 No symbol table info available.
 Cannot access memory at address 0xbf8fc32c
StacktraceTop: ?? ()
ThreadStacktrace:
 .
 Thread 1 (LWP 21270):
 #0 0x00f4f410 in ?? ()
 No symbol table info available.
 Cannot access memory at address 0xbf8fc32c
Title: gpsdrive crashed with SIGSEGV
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout libvirtd lpadmin plugdev sambashare

Marcos K (g-ubuntu-com-y) wrote :
visibility: private → public

Stacktrace:
 #0 0x00f4f410 in ?? ()
 No symbol table info available.
 Cannot access memory at address 0xbf8fc32c
StacktraceTop: ?? ()
ThreadStacktrace:
 .
 Thread 1 (LWP 21270):
 #0 0x00f4f410 in ?? ()
 No symbol table info available.
 Cannot access memory at address 0xbf8fc32c

Changed in gpsdrive (Ubuntu):
status: New → Invalid

Thank you for your report!

However, processing it in order to get sufficient information for the
developers failed (it does not generate a useful symbolic stack trace). This
might be caused by some outdated packages which were installed on your system
at the time of the report:

outdated debug symbol package for libavahi-common3: package version 0.6.30-4ubuntu1 dbgsym version 0.6.30-0ubuntu2
outdated debug symbol package for libtiff4: package version 3.9.5-1ubuntu1 dbgsym version 3.9.4-5ubuntu6
outdated debug symbol package for libgpg-error0: package version 1.10-0.3ubuntu1 dbgsym version 1.10-0.2ubuntu1
outdated debug symbol package for libavahi-client3: package version 0.6.30-4ubuntu1 dbgsym version 0.6.30-0ubuntu2
outdated debug symbol package for libdatrie1: package version 0.2.4-3 dbgsym version 0.2.4-1
outdated debug symbol package for libltdl7: package version 2.4-2ubuntu1 dbgsym version 2.2.6b-2ubuntu3
outdated debug symbol package for libcairomm-1.0-1: package version 1.10.0-1 dbgsym version 1.9.8-0ubuntu1
outdated debug symbol package for libepsilon0: package version 0.9.1-2 dbgsym version 0.8.1-1
outdated debug symbol package for libthai0: package version 0.1.15-2 dbgsym version 0.1.14-2ubuntu1
outdated debug symbol package for gpsdrive: package version 2.10~pre4-6.dfsg-5ubuntu2 dbgsym version 2.10~pre4-6.dfsg-5ubuntu1

Please upgrade your system to the latest package versions. If you still
encounter the crash, please file a new report.

Thank you for your understanding, and sorry for the inconvenience!

tags: removed: need-i386-retrace
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers